Name:           python-pymongo
Version:        3.11.3
Release:        3
License:        Apache License 2.0
Summary:        PyMongo - the Python driver for MongoDB
URL:            https://github.com/mongodb/mongo-python-driver
Source0:        https://files.pythonhosted.org/packages/72/82/e7196f2f69318dd206db26db68fcfa0ff821d88fbca6d0f0c7b678ba0353/pymongo-3.11.3.tar.gz
Patch01:        0001-Use-ssl.match_hostname-from-the-Python-stdlib.patch
Patch02:        0001-PYTHON-2631-Add-missing-error-message-to-InvalidBSON.patch
# patch source: https://github.com/mongodb/mongo-python-driver/commit/56b6b6dbc267d365d97c037082369dabf37405d2
Patch03:        backport-CVE-2024-21506.patch

BuildRequires:  python3-devel python3-setuptools
BuildRequires:  python3-sphinx gcc

%global _description \
The PyMongo distribution contains tools for interacting with \
MongoDB database from Python.\
PyMongo supports MongoDB 2.6, 3.0, 3.2, 3.4, 3.6, 4.0 and 4.2.

%description %{_description}

%package -n python3-bson
Summary:        Python bson library
%{?python_provide:%python_provide python3-bson}

%description -n python3-bson %{_description}
This package is an implementation of  the BSON format for Python 3 version.

%package -n python3-pymongo
Summary:        Python driver for MongoDB
Requires:       python3-bson%{?_isa} = %{version}-%{release}
%{?python_provide:%python_provide python3-pymongo}

%description -n python3-pymongo %{_description}
This package is a native Python 3 version driver for MongoDB.

%package -n python3-pymongo-gridfs
Summary:        Python GridFS driver for MongoDB
Requires:       python3-pymongo%{?_isa} = %{version}-%{release}
%{?python_provide:%python_provide python3-pymongo-gridfs}

%description -n python3-pymongo-gridfs %{_description}
This package is a gridfs implementation on top of pymongo.
This package for Python 3 version.

%package help
BuildArch: noarch
Summary:   Development documents for python-pymongo

%description help
The PyMongo distribution contains tools for interacting with MongoDB database from Python.


%prep
%autosetup -n pymongo-3.11.3 -p1
rm pymongo/ssl_match_hostname.py

%build
%py3_build

PYTHONPATH=${PYTHONPATH}:/usr/local/lib64/python3.8/site-packages:/usr/local/lib/python3.8/site-packages %{__python3} setup.py doc

%install
%py3_install

install -d -m755 %{buildroot}/%{_pkgdocdir}
cp -arf  doc/_build/%{version}/* %{buildroot}/%{_pkgdocdir}

%check
python3 setup.py test

%files -n python3-bson
%license LICENSE
%doc README.rst
%{python3_sitearch}/bson

%files -n python3-pymongo
%license LICENSE
%doc README.rst
%{python3_sitearch}/pymongo
%{python3_sitearch}/pymongo-%{version}-*.egg-info

%files -n python3-pymongo-gridfs
%{python3_sitearch}/gridfs

%files help
%{_pkgdocdir}

%changelog
* Sun Apr 07 2024 liweigang <liweiganga@uniontech.com> - 3.11.3-3
- Fix CVE-2024-21506

* Wed Nov 8 2023 liubo <liubo1@xfusion.com> - 3.11.3-2
- Add missing error message to InvalidBSON error

* Fri Aug 06 2021 OpenStack_SIG <openstack@openeuler.org> - 3.11.3-1
- Update version to 3.11.3

* Mon May 31 2021 huanghaitao <huanghaitao8@huawei.com> - 3.9.0-5
- Completing build dependencies

* Wed Oct 21 2020 chengzihan <chengzihan2@huawei.com> - 3.9.0-4
- Remove subpackage python2-bson, python2-pymongo, python2-pymongo-gridfs

* Fri Sep 11 2020 liuweibo <liuweibo10@huawei.com> - 3.9.0-3
- Fix Source0

* Fri Feb 21 2020 shanshishi <shanshishi@huawei.com> - 3.9.0-2
- Revise build requires of python2-sphinx to python3-sphinx

* Sat Nov 2 2019 shanshishi <shanshishi@huawei.com> - 3.9.0-1
- Init package
